#!/usr/bin/env ash

# overwrite default-hostname
echo "noveriaos-live" > /etc/hostname
hostname -F /etc/hostname

# Enable networking on boot
rc-update add networking

# Enable hostname service
rc-update add hostname

rc-update add sshd

# Set Swiss keymap
setup-keymap ch ch

# Set Swiss Timezone
setup-timezone Europe/Zurich
hwclock --systohc

# Change default shell of root from ash => zsh
sed -i 's~root:/bin/ash~root:/bin/zsh~' /etc/passwd

sed -i 's~/sbin/getty 38400~/sbin/mingetty --autologin root --noclear~' /etc/inittab

# Add btrfs module
echo "btrfs" | tee -a /etc/modules
